> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Create relative datetime intervals schedule

> Create a one-time relative datetime schedule



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/schedule/createRelativeDateTimeIntervalsSchedule
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/schedule/createRelativeDateTimeIntervalsSchedule:
    post:
      tags:
        - Schedule Webservice
      summary: Create relative datetime intervals schedule
      description: Create a one-time relative datetime schedule
      operationId: createRelativeDateTimeIntervalsSchedule
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Schedule_CreateRelativeDateTimeIntervalsScheduleWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Schedule_CreateRelativeDateTimeIntervalsScheduleWSResponse
          description: OK
components:
  schemas:
    Schedule_CreateRelativeDateTimeIntervalsScheduleWSRequest:
      type: object
      description: Request object for creating a relative datetime intervals schedule.
      properties:
        schedule:
          $ref: '#/components/schemas/RelativeDateTimeIntervalsScheduleType'
    Schedule_CreateRelativeDateTimeIntervalsScheduleWSResponse:
      type: object
      description: Response object for creating a relative datetime intervals schedule.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        scheduleUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        warningMsg:
          type: string
          nullable: true
    RelativeDateTimeIntervalsScheduleType:
      type: object
      allOf:
        - type: object
          properties:
            intervals:
              type: array
              items:
                $ref: '#/components/schemas/LocalDateTimeIntervalType'
              nullable: true
      nullable: true
      properties:
        internalWriteOnly:
          type: boolean
          nullable: true
        mutable:
          type: boolean
          nullable: true
        name:
          type: string
          nullable: true
        oneTimeUse:
          type: boolean
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        strategy:
          $ref: '#/components/schemas/ScheduleStrategyEnum'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    LocalDateTimeIntervalType:
      type: object
      nullable: true
      properties:
        localEndDateTime:
          type: string
          description: >-
            Interval end time in 'yyyy-MM-ddTHH:mm:ss' format. Interval end time
            is exclusive.
          nullable: true
        localStartDateTime:
          type: string
          description: >-
            Interval start time in 'yyyy-MM-ddTHH:mm:ss' format. Interval start
            time is inclusive.
          nullable: true
      required:
        - localEndDateTime
        - localStartDateTime
    ScheduleStrategyEnum:
      type: string
      enum:
        - WEEKLY_REPEATING_MINUTES
        - ABSOLUTE_SECONDS
        - REALTIME_RELATIVE_SECONDS
        - RELATIVE_DATETIME_INTERVALS
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````